Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.stack.isea
Class ISEValue

    java.lang.Object
      avrora.stack.isea.ISEValue

public class ISEValue
extends java.lang.Object

The `ISEValue` class contains a collection of constants and methods relating to the abstract values used in intraprocedural side effect analysis.

Field Summary
`static byte` | `EIMSK`
`static byte` | `R0`
`static byte` | `R1`
`static byte` | `R10`
`static byte` | `R11`
`static byte` | `R12`
`static byte` | `R13`
`static byte` | `R14`
`static byte` | `R15`
`static byte` | `R16`
`static byte` | `R17`
`static byte` | `R18`
`static byte` | `R19`
`static byte` | `R2`
`static byte` | `R20`
`static byte` | `R21`
`static byte` | `R22`
`static byte` | `R23`
`static byte` | `R24`
`static byte` | `R25`
`static byte` | `R26`
`static byte` | `R27`
`static byte` | `R28`
`static byte` | `R29`
`static byte` | `R3`
`static byte` | `R30`
`static byte` | `R31`
`static byte` | `R4`
`static byte` | `R5`
`static byte` | `R6`
`static byte` | `R7`
`static byte` | `R8`
`static byte` | `R9`
`static byte` | `SREG`
`static byte` | `TIMSK`
`static byte` | `UNKNOWN`

Constructor Summary
`ISEValue()`

Method Summary
`static int` | `asIORegister(byte val)`
`static Register` | `asRegister(byte val)`
`static byte` | `merge(byte b1, byte b2)`
`static java.lang.String` | `toString(byte b1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final byte UNKNOWN

See Also:
  Constant Field Values

### SREG

    public static final byte SREG

See Also:
  Constant Field Values

### EIMSK

    public static final byte EIMSK

See Also:
  Constant Field Values

### TIMSK

    public static final byte TIMSK

See Also:
  Constant Field Values

### R0

    public static final byte R0

See Also:
  Constant Field Values

### R1

    public static final byte R1

See Also:
  Constant Field Values

### R2

    public static final byte R2

See Also:
  Constant Field Values

### R3

    public static final byte R3

See Also:
  Constant Field Values

### R4

    public static final byte R4

See Also:
  Constant Field Values

### R5

    public static final byte R5

See Also:
  Constant Field Values

### R6

    public static final byte R6

See Also:
  Constant Field Values

### R7

    public static final byte R7

See Also:
  Constant Field Values

### R8

    public static final byte R8

See Also:
  Constant Field Values

### R9

    public static final byte R9

See Also:
  Constant Field Values

### R10

    public static final byte R10

See Also:
  Constant Field Values

### R11

    public static final byte R11

See Also:
  Constant Field Values

### R12

    public static final byte R12

See Also:
  Constant Field Values

### R13

    public static final byte R13

See Also:
  Constant Field Values

### R14

    public static final byte R14

See Also:
  Constant Field Values

### R15

    public static final byte R15

See Also:
  Constant Field Values

### R16

    public static final byte R16

See Also:
  Constant Field Values

### R17

    public static final byte R17

See Also:
  Constant Field Values

### R18

    public static final byte R18

See Also:
  Constant Field Values

### R19

    public static final byte R19

See Also:
  Constant Field Values

### R20

    public static final byte R20

See Also:
  Constant Field Values

### R21

    public static final byte R21

See Also:
  Constant Field Values

### R22

    public static final byte R22

See Also:
  Constant Field Values

### R23

    public static final byte R23

See Also:
  Constant Field Values

### R24

    public static final byte R24

See Also:
  Constant Field Values

### R25

    public static final byte R25

See Also:
  Constant Field Values

### R26

    public static final byte R26

See Also:
  Constant Field Values

### R27

    public static final byte R27

See Also:
  Constant Field Values

### R28

    public static final byte R28

See Also:
  Constant Field Values

### R29

    public static final byte R29

See Also:
  Constant Field Values

### R30

    public static final byte R30

See Also:
  Constant Field Values

### R31

    public static final byte R31

See Also:
  Constant Field Values

Constructor Detail

### ISEValue

    public ISEValue()

Method Detail

### merge

    public static byte merge(byte b1,
                             byte b2)

### toString

    public static java.lang.String toString(byte b1)

### asRegister

    public static Register asRegister(byte val)

### asIORegister

    public static int asIORegister(byte val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD